Rygel.BasicManagement – librygel-core Reference Manual

# BasicManagement

## Object Hierarchy:

## Description:

public class BasicManagement : `Service`

Basic implementation of UPnP BasicManagement service version 2.

Namespace: Rygel
Package: librygel-core

## Content:

### Constants:

- public const unowned `string` UPNP_ID
- public const unowned `string` UPNP_TYPE
- public const unowned `string` DESCRIPTION_PATH

### Properties:

- public `uint` max_history_size { set; get; }

### Creation methods:

- public BasicManagement ()

### Methods:

- public override void constructed ()

### Fields:

- protected `string` device_status

### Inherited Members:

All known members inherited from class GUPnP.Service

- root_device
- freeze_notify
- notify

- notify_value
- thaw_notify
- action_invoked

- notify_failed
- query_variable

All known members inherited from class GUPnP.ServiceInfo

- context
- location
- service_type
- udn
- url_base
- get_context

- get_control_url
- get_event_subscription_url
- get_id
- get_introspection
- get_introspection_async
- get_introspection_async_full

- get_location
- get_scpd_url
- get_service_type
- get_udn
- get_url_base

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count